<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>media-query-001</title>
    <style>
        #noMedia {
            background-color: red;
        }

        @media print {
            #print {
                background-color: red;
            }
        }

        @media screen {
            #screen {
                background-color: red;
            }
        }

        @media screen, print {
            #screenOrPrint {
                background-color: red;
            }
        }

        @media not screen {
            #notScreen {
                background-color: red;
            }
        }

        @media not print {
            #notPrint {
                background-color: red;
            }
        }

        @media (color) {
            #color {
                background-color: red;
            }
        }

        @media not print, (color) {
            #notPrintOrColor {
                background-color: red;
            }
        }

        @media print and (color) {
            #printAndColor {
                background-color: red;
            }
        }

        @media all {
            #all {
                background-color: red;
            }
        }

        @media not all {
            #notAll {
                background-color: red;
            }
        }

        @media (max-width: 793px) {
            #maxWidth793 {
                background-color: red;
            }
        }

        @media (max-width: 795px) {
            #maxWidth795 {
                background-color: red;
            }
        }

        @media (min-width: 793px) {
            #minWidth793 {
                background-color: red;
            }
        }

        @media (min-width: 795px) {
            #minWidth795 {
                background-color: red;
            }
        }

        @media print and (max-width: 795px) {
            #printAndMaxWidth795 {
                background-color: red;
            }
        }

        @media screen and (max-width: 795px) {
            #screenAndMaxWidth795 {
                background-color: red;
            }
        }

        p::before {
            content: "[" attr(id) "] ";
        }
    </style>
</head>
<body>
<p id="noMedia">The background of this paragraph should be red.</p>
<p id="print">The background of this paragraph should be red.</p>
<p id="screen">This paragraph should not have a red background.</p>
<p id="screenOrPrint">The background of this paragraph should be red.</p>
<p id="notScreen">The background of this paragraph should be red.</p>
<p id="notPrint">This paragraph should not have a red background.</p>
<p id="color">The background of this paragraph should be red.</p>
<p id="notPrintOrColor">The background of this paragraph should be red.</p>
<p id="printAndColor">The background of this paragraph should be red.</p>
<p id="all">The background of this paragraph should be red.</p>
<p id="notAll">This paragraph should not have a red background.</p>
<p id="maxWidth793">This paragraph should not have a red background.</p>
<p id="maxWidth795">The background of this paragraph should be red.</p>
<p id="minWidth793">The background of this paragraph should be red.</p>
<p id="minWidth795">This paragraph should not have a red background.</p>
<p id="printAndMaxWidth795">The background of this paragraph should be red.</p>
<p id="screenAndMaxWidth795">This paragraph should not have a red background.</p>
</body>
</html>

